package com.xhpc.file.service;


import com.xhpc.file.domain.XhpcImg;

/**
 * 上传图片 服务类
 *
 * @author BladeX
 * @since 2020-06-17
 */
public interface IXhpcImgService {

    /**
     * 新增
     *
     * @param xhpcImg 上传图片信息
     * @return 结果
     */
    public int insert(XhpcImg xhpcImg);

    /**
     * 更新
     *
     * @param xhpcImg 上传图片信息
     * @return 结果
     */
    public int update(XhpcImg xhpcImg);

    /**
     * 查询
     *
     * @param imgId 上传图片id
     * @return 结果
     */
    public XhpcImg info(Long imgId);

}
